#pragma once

#include "conditionals.h"

namespace cppmp
{

    namespace __impl
    {

        /* eval_if_impl */

        template<typename T, template<typename...> class E, typename... A>
        struct eval_if_impl<true, T, E, A...>
            { using type = T; };

        template<typename T, template<typename...> class E, typename... A>
        struct eval_if_impl<false, T, E, A...>
            { using type = E<A...>; };

    }

}
